import React, { Component, ReactNode } from 'react';
import { ColorOptions } from '../themes/ThemeInterface';
import { BoxProps } from './Box';
import { IconOptions } from './Icon';
export declare type Props = {
    children: ReactNode[] | ReactNode;
    icon?: IconOptions;
    background?: ColorOptions;
    border?: ColorOptions;
    direction?: 'right' | 'left';
} & BoxProps;
declare const initialState: {
    isOpen: boolean;
};
declare type State = Readonly<typeof initialState>;
export declare class ActionDrawer extends Component<Props, State> {
    static defaultProps: Partial<Props>;
    state: {
        isOpen: boolean;
    };
    containerRef: React.RefObject<any>;
    componentWillUnmount(): void;
    handleClick: () => void;
    handleClose: () => void;
    handleOpen: () => void;
    handleOutsideClick: (evt: MouseEvent) => void;
    cleanup: () => void;
    renderChildren: () => JSX.Element;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=ActionDrawer.d.ts.map