"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styled_1 = __importDefault(require("../styled"));
const Box_1 = require("./Box");
exports.Badge = ({ children, ...passThroughProps }) => {
    return (react_1.default.createElement(StyledBox, Object.assign({ is: "span" }, passThroughProps), children));
};
const StyledBox = styled_1.default(Box_1.Box) `
  ${(p) => {
    if (p.custom) {
        return `
        background: ${p.custom.background};
        color: ${p.custom.color || '#f0f4f8'};
      `;
    }
    if (p.disabled) {
        return `
        background: ${p.theme.n1};
        color: white;
      `;
    }
    switch (p.type) {
        case 'green':
            return `
         background: ${p.theme.g4};
         color: white;
        `;
        case 'red':
            return `
          background: ${p.theme.r5};
          color: white;
        `;
        case 'blue':
            return `
          background: ${p.theme.b5};
          color: white;
        `;
        case 'purple':
            return `
          background: rgb(203, 197, 234);
          color: white;
        `;
        case 'orange':
            return `
          background: ${p.theme.y6};
          color: white;
          `;
        default:
            return `
          color: ${p.theme.n5};
          background: #f0f4f8;
        `;
    }
}}

  font-size: ${(p) => p.theme.fs300};
  line-height: 1rem;
  padding: 0 0.5rem;
  text-align: center;
  border-radius: 3px;
  font-weight: ${(p) => p.theme.fwBold};
  text-transform: uppercase;
  align-self: center;
`;
//# sourceMappingURL=Badge.js.map