"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const styled_components_1 = require("styled-components");
const styled_normalize_1 = __importDefault(require("styled-normalize"));
const themes_1 = require("../themes");
const GlobalStyle = styled_components_1.createGlobalStyle `${styled_normalize_1.default}

    html, body {
      font-family: -apple-system,
      BlinkMacSystemFont,"Segoe UI",Roboto,Oxygen-Sans,Ubuntu,Cantarell,"Helvetica Neue",sans-serif;
      font-size: 16px;
      font-weight: 400;
      letter-spacing: 0;
      line-height: 150%;
      color: ${themes_1.theme.text};
      fill: currentColor;
			height: 100%;
      background-color: ${themes_1.theme.background};
      -webkit-font-smoothing: antialiased;
    }

		#app {
			height: 100%;
		}

    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
      font-weight: 700;
      margin: 0px;
      display: inline-flex;
      align-items: center;
      margin-bottom: 0px;
    }

    h1 {
      font-size: 2rem;
    }

    h2 {
      font-size: 1.4rem;
    }

    h3 {
      font-size: 1.2rem;
    }

    h4 {
      font-size: 1rem;
    }

    h5 {
      font-size: 0.9rem;
    }

    h6 {
      font-size: 0.8rem;
    }

    a {
      color: inherit;
      text-decoration: none;
      &:hover {
        color: inherit;
      }
    }

    ul {
      margin: 0;
    }

    div {
      box-sizing: border-box;
    }

		#app {
			height: 100%;
		}
  `;
exports.BaseTheme = ({ children }) => {
    return (react_1.default.createElement(styled_components_1.ThemeProvider, { theme: themes_1.theme },
        react_1.default.createElement(react_1.Fragment, null,
            children,
            " ",
            react_1.default.createElement(GlobalStyle, null))));
};
//# sourceMappingURL=BaseTheme.js.map