"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("./common");
const borderTop = {
    className: 'bt',
    cssName: 'border-top',
    complex: true
};
const borderRight = {
    className: 'br',
    cssName: 'border-right',
    complex: true
};
const borderBottom = {
    className: 'bb',
    cssName: 'border-bottom',
    complex: true
};
const borderLeft = {
    className: 'bl',
    cssName: 'border-left',
    complex: true
};
const borderColor = {
    className: 'b-clr',
    cssName: 'border-color'
};
const borderRadius = {
    className: 'b-rad',
    cssName: 'border-radius'
};
const borderTopColor = {
    className: 'bt-clr',
    cssName: 'border-top-color'
};
const borderRightColor = {
    className: 'br-clr',
    cssName: 'border-right-color'
};
const borderBottomColor = {
    className: 'bb-clr',
    cssName: 'border-bottom-color'
};
const borderLeftColor = {
    className: 'bl-clr',
    cssName: 'border-left-color'
};
exports.borderEnhancers = {
    borderTop: (value) => common_1.enhancer(borderTop, value),
    borderRight: (value) => common_1.enhancer(borderRight, value),
    borderBottom: (value) => common_1.enhancer(borderBottom, value),
    borderLeft: (value) => common_1.enhancer(borderLeft, value),
    borderColor: (value) => common_1.enhancer(borderColor, value, common_1.theme[value]),
    borderRadius: (value) => common_1.enhancer(borderRadius, value),
    borderTopColor: (value) => common_1.enhancer(borderTopColor, value, common_1.theme[value]),
    borderRightColor: (value) => common_1.enhancer(borderRightColor, value, common_1.theme[value]),
    borderBottomColor: (value) => common_1.enhancer(borderBottomColor, value, common_1.theme[value]),
    borderLeftColor: (value) => common_1.enhancer(borderLeftColor, value, common_1.theme[value])
};
exports.borderAliases = {
    border: (value) => new Map([['borderTop', value], ['borderRight', value], ['borderBottom', value], ['borderLeft', value]])
};
//# sourceMappingURL=borders.js.map