"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("./common");
const cursor = {
    className: 'csr',
    cssName: 'cursor'
};
const alignContent = {
    className: 'a-cnt',
    cssName: 'align-content'
};
const alignItems = {
    className: 'a-itm',
    cssName: 'align-items'
};
const alignSelf = {
    className: 'a-sf',
    cssName: 'align-self'
};
const justifyContent = {
    className: 'j-cnt',
    cssName: 'justify-content'
};
const justifyItems = {
    className: 'j-itm',
    cssName: 'justify-items'
};
const justifySelf = {
    className: 'j-sf',
    cssName: 'justify-self'
};
const display = {
    className: 'd',
    cssName: 'display'
};
const zIndex = {
    className: 'zx',
    cssName: 'z-index'
};
const overflow = {
    className: 'ofw',
    cssName: 'overflow'
};
const overflowX = {
    className: 'ofw-x',
    cssName: 'overflow-x'
};
const overflowY = {
    className: 'ofw-y',
    cssName: 'overflow-y'
};
const height = {
    className: 'ht',
    cssName: 'height'
};
const width = {
    className: 'wt',
    cssName: 'width'
};
const maxHeight = {
    className: 'mht',
    cssName: 'max-height'
};
const maxWidth = {
    className: 'mwt',
    cssName: 'max-width'
};
const minHeight = {
    className: 'mnht',
    cssName: 'min-height'
};
const minWidth = {
    className: 'mnwt',
    cssName: 'min-width'
};
const lineHeight = {
    className: 'lnht',
    cssName: 'line-height'
};
const position = {
    className: 'ptn',
    cssName: 'position'
};
const top = {
    className: 't',
    cssName: 'top'
};
const right = {
    className: 'r',
    cssName: 'right'
};
const bottom = {
    className: 'b',
    cssName: 'bottom'
};
const left = {
    className: 'l',
    cssName: 'left'
};
exports.layoutEnhancers = {
    cursor: (value) => common_1.enhancer(cursor, value),
    alignContent: (value) => common_1.enhancer(alignContent, value),
    alignItems: (value) => common_1.enhancer(alignItems, value),
    alignSelf: (value) => common_1.enhancer(alignSelf, value),
    justifyContent: (value) => common_1.enhancer(justifyContent, value),
    justifyItems: (value) => common_1.enhancer(justifyItems, value),
    justifySelf: (value) => common_1.enhancer(justifySelf, value),
    display: (value) => common_1.enhancer(display, value),
    zIndex: (value) => common_1.enhancer(zIndex, value),
    overflow: (value) => common_1.enhancer(overflow, value),
    overflowX: (value) => common_1.enhancer(overflowX, value),
    overflowY: (value) => common_1.enhancer(overflowY, value),
    height: (value) => common_1.enhancer(height, value),
    width: (value) => common_1.enhancer(width, value),
    maxHeight: (value) => common_1.enhancer(maxHeight, value),
    minHeight: (value) => common_1.enhancer(minHeight, value),
    maxWidth: (value) => common_1.enhancer(maxWidth, value),
    minWidth: (value) => common_1.enhancer(minWidth, value),
    lineHeight: (value) => common_1.enhancer(lineHeight, value),
    position: (value) => common_1.enhancer(position, value),
    top: (value) => common_1.enhancer(top, value),
    right: (value) => common_1.enhancer(right, value),
    bottom: (value) => common_1.enhancer(bottom, value),
    left: (value) => common_1.enhancer(left, value)
};
//# sourceMappingURL=layout.js.map