import { CreateEnhancer } from './common';
declare type PaddingEnhancers = {
    paddingTop: CreateEnhancer;
    paddingRight: CreateEnhancer;
    paddingBottom: CreateEnhancer;
    paddingLeft: CreateEnhancer;
};
declare type PaddingProps = {
    padding?: string;
    paddingX?: string;
    paddingY?: string;
    paddingTop?: string;
    paddingRight?: string;
    paddingBottom?: string;
    paddingLeft?: string;
};
declare type PaddingAliases = {
    padding: (propValue: string) => Map<keyof PaddingEnhancers, string>;
    paddingX: (propValue: string) => Map<string, string>;
    paddingY: (propValue: string) => Map<string, string>;
};
declare type MarginEnhancers = {
    marginTop: CreateEnhancer;
    marginRight: CreateEnhancer;
    marginBottom: CreateEnhancer;
    marginLeft: CreateEnhancer;
};
declare type MarginProps = {
    margin?: string;
    marginX?: string;
    marginY?: string;
    marginTop?: string;
    marginRight?: string;
    marginBottom?: string;
    marginLeft?: string;
};
declare type MarginAliases = {
    margin: (propValue: string) => Map<string, string>;
    marginX: (propValue: string) => Map<string, string>;
    marginY: (propValue: string) => Map<string, string>;
};
export declare type SpacingAliases = PaddingAliases & MarginAliases;
export declare type SpacingEnhancers = PaddingEnhancers & MarginEnhancers;
export declare type SpacingProps = PaddingProps & MarginProps;
export declare const spacingEnhancers: SpacingEnhancers;
export declare const spacingAliases: SpacingAliases;
export {};
//# sourceMappingURL=spacing.d.ts.map