"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("./common");
const font = {
    className: 'ft',
    cssName: 'font',
    complex: true
};
const fontSize = {
    className: 'ft-sz',
    cssName: 'font-size'
};
const fontWeight = {
    className: 'ft-wt',
    cssName: 'font-weight'
};
const letterSpacing = {
    className: 'lt-sp',
    cssName: 'letter-spacing'
};
const textAlign = {
    className: 'txt-aln',
    cssName: 'text-align'
};
const textDecoration = {
    className: 'txt-dec',
    cssName: 'text-decoration',
    complex: true
};
const textOverflow = {
    className: 'txt-ofw',
    cssName: 'text-overflow',
    complex: true
};
const textTransform = {
    className: 'txt-tfm',
    cssName: 'text-transform'
};
const whiteSpace = {
    className: 'wtsp',
    cssName: 'white-space'
};
exports.typographyEnhancers = {
    font: (value) => common_1.enhancer(font, value),
    fontSize: (value) => common_1.enhancer(fontSize, value, common_1.theme[value]),
    fontWeight: (value) => common_1.enhancer(fontWeight, value, common_1.theme[value]),
    letterSpacing: (value) => common_1.enhancer(letterSpacing, value),
    textAlign: (value) => common_1.enhancer(textAlign, value),
    textDecoration: (value) => common_1.enhancer(textDecoration, value),
    textOverflow: (value) => common_1.enhancer(textOverflow, value),
    textTransform: (value) => common_1.enhancer(textTransform, value),
    whiteSpace: (value) => common_1.enhancer(whiteSpace, value)
};
//# sourceMappingURL=typography.js.map