"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const react_1 = __importDefault(require("react"));
const Box_1 = require("../Box");
const ButtonGroup = ({ align = 'right', children, ...passThroughProps }) => {
    if (lodash_1.isArray(children)) {
        const extraGridStyles = align === 'right'
            ? {
                justifyItems: 'end',
                gridTemplateColumns: `1fr repeat(${children.length}, auto)`
            }
            : {
                justifyItems: 'start',
                gridTemplateColumns: `repeat(${children.length}, auto) 1fr`
            };
        return (react_1.default.createElement(Box_1.Box, Object.assign({ display: "grid", gridColumnGap: "0.5rem" }, extraGridStyles, passThroughProps), children));
    }
    return react_1.default.createElement(Box_1.Box, Object.assign({}, passThroughProps), children);
};
exports.default = ButtonGroup;
//# sourceMappingURL=ButtonGroup.js.map