"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_router_dom_1 = require("react-router-dom");
const styled_1 = __importDefault(require("../../styled"));
const themes_1 = require("../../themes");
const Box_1 = require("../Box");
const Icon_1 = require("../Icon");
var ButtonGroup_1 = require("./ButtonGroup");
exports.ButtonGroup = ButtonGroup_1.default;
exports.Button = (props) => {
    const { label, onClick, children, primary, success, warning, danger, loading, submit, onClickNavigateTo, ...passThroughProps } = props;
    const booleanProps = {
        primary: primary ? 1 : 0,
        success: success ? 1 : 0,
        warning: warning ? 1 : 0,
        danger: danger ? 1 : 0
    };
    return onClickNavigateTo ? (react_1.default.createElement(react_router_dom_1.Link, { to: onClickNavigateTo },
        react_1.default.createElement(StyledBox, Object.assign({ is: "button", onClick: onClick || null }, booleanProps, passThroughProps, { type: submit ? 'submit' : 'button' }), loading ? react_1.default.createElement(Icon_1.Icon, { name: "loading" }) : label ? label : children))) : (react_1.default.createElement(StyledBox, Object.assign({ is: "button", onClick: onClick || null }, booleanProps, passThroughProps, { type: submit ? 'submit' : 'button' }), loading ? react_1.default.createElement(Icon_1.Icon, { name: "loading" }) : label ? label : children));
};
// Styles
const StyledBox = styled_1.default(Box_1.Box) `
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  min-width: max-content;
  min-height: 30px;
  padding: 7px 16px;
  white-space: nowrap;
  border-radius: 3px;
  border: none;
  -webkit-backface-visibility: hidden;
  ${(p) => {
    return `
      color: ${p.theme.n1};
      font-size: ${p.theme.fs400};
      font-weight: ${p.theme.fwBold};
      ${p.theme.addHover()};
    `;
}}

  ${(p) => {
    // Handle Button coloring
    if (p.primary)
        return primaryStyles;
    else if (p.warning)
        return warningStyles;
    else if (p.danger)
        return dangerStyles;
    else if (p.success)
        return successStyles;
    else if (p.disabled)
        return disabledStyles;
    return defaultStyles;
}}
`;
// Helper styles
const defaultStyles = `
  color: ${themes_1.theme.n8};
  background: ${themes_1.theme.n2};
`;
const primaryStyles = `
  background: ${themes_1.theme.n8};
`;
const warningStyles = `
  background: ${themes_1.theme.y7};
`;
const dangerStyles = `
  background: ${themes_1.theme.r6};
`;
const successStyles = `
  background: ${themes_1.theme.g5};
`;
const disabledStyles = `
  opacity: 0.5;
  background: ${themes_1.theme.n2};
  color: ${themes_1.theme.n6};
  pointer-events: none;
`;
//# sourceMappingURL=index.js.map