"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const styled_1 = __importDefault(require("../../styled"));
const Box_1 = require("../Box");
const Typography_1 = require("../Typography");
exports.DataTableContainer = styled_1.default(Box_1.Box) `
  .data-table-row {
    grid-template-columns: ${(p) => p.columnSizes || '1fr'};
    ${(p) => !p.columnSizes && `grid-auto-columns: 1fr;`}
  }
`;
// TODO: intentionally using a light color for the zebra stripes
exports.DataTableRow = styled_1.default('div').attrs({ className: 'data-table-row' }) `
  display: grid;
  grid-auto-flow: column;
  font-size: ${(p) => p.theme.fs400};
  color: ${(p) => p.theme.n7};
  border: 1px solid ${(p) => p.theme.n2};
  border-bottom: none;
  background: white;
  &:last-child {
    border-bottom: 1px solid ${(p) => p.theme.n2};
  }
  &:nth-child(2n) {
    background: #fafcff;
  }
`;
exports.DataTableCell = styled_1.default('div') `
  padding: 0.5rem;
  justify-self: ${(p) => p.justify};
  align-self: ${(p) => p.align};
`;
exports.DataTableHeaderRow = styled_1.default(exports.DataTableRow) `
  border-radius: 5px 5px 0 0;
`;
exports.DataTableHeader = styled_1.default(Typography_1.Text) `
  padding: 0.25rem 0.5rem;
`;
//# sourceMappingURL=Styles.js.map