"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_dom_1 = require("react-dom");
const Overlay_1 = __importDefault(require("../Overlay"));
const Typography_1 = require("../Typography");
const Styles_1 = require("./Styles");
class Dialog extends react_1.Component {
    constructor() {
        super(...arguments);
        this.handleOverlayClick = (evt) => {
            if (this.props.shouldCloseOnClickOverlay && evt.target === evt.currentTarget) {
                this.props.onCancel();
            }
        };
    }
    componentDidMount() {
        if (this.props.shouldCloseOnClickOverlay) {
            document.addEventListener('keydown', (event) => this.onKeyDown(event));
        }
    }
    componentWillUnmount() {
        if (this.props.shouldCloseOnClickOverlay) {
            document.removeEventListener('keydown', (event) => this.onKeyDown(event));
        }
    }
    onKeyDown(event) {
        if (event.keyCode === 27) {
            this.props.onCancel();
        }
    }
    render() {
        const { title, children, onCancel, shouldCloseOnClickOverlay, isOpen, width = '500px', ...passThroughProps } = this.props;
        return (react_1.default.createElement(react_1.Fragment, null, isOpen &&
            react_dom_1.createPortal(react_1.default.createElement(Overlay_1.default, { onClick: this.handleOverlayClick, "data-testid": "overlay" },
                react_1.default.createElement(Styles_1.DialogContainer, Object.assign({ "data-testid": "dialog" }, passThroughProps, { width: width, padding: "none" }),
                    title && (react_1.default.createElement(Styles_1.DialogHeader, null,
                        react_1.default.createElement(Typography_1.Heading, { color: "n7" }, title))),
                    children)), document.getElementById('dialog-root'))));
    }
}
Dialog.Footer = Styles_1.DialogFooter;
Dialog.Body = Styles_1.DialogBody;
Dialog.defaultProps = {
    shouldCloseOnClickOverlay: true,
    isOpen: true
};
exports.default = Dialog;
//# sourceMappingURL=Dialog.js.map