import { Component, ReactElement } from 'react';
import { PanelProps } from '../Panel';
declare type AllowedPanelProps = Pick<PanelProps, Exclude<keyof PanelProps, 'padding'>>;
declare type Props = {
    title?: string;
    cancelLabel?: string;
    confirmLabel?: string;
    onCancel?: Function;
    onConfirm?: Function;
    shouldCloseOnClickOverlay?: boolean;
    hasConfirm?: boolean;
    hasCancel?: boolean;
    triggerLabel?: string;
    customTrigger?: ReactElement<any>;
    buttonType?: string;
    confirmButtonType?: string;
} & AllowedPanelProps;
declare const initialState: {
    isOpen: boolean;
};
declare type State = Readonly<typeof initialState>;
export default class SimpleDialog extends Component<Props, State> {
    static defaultProps: Partial<Props>;
    state: {
        isOpen: boolean;
    };
    componentDidMount(): void;
    componentWillUnmount(): void;
    onKeyDown(event: KeyboardEvent): void;
    handleOpen: () => void;
    handleConfirm: () => Promise<void>;
    handleCancel: () => Promise<void>;
    handleClose: () => void;
    renderTrigger: () => JSX.Element;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=SimpleDialog.d.ts.map