"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styled_1 = __importDefault(require("../../styled"));
const Box_1 = require("../Box");
const Styles_1 = require("./Styles");
exports.Checkbox = ({ checked, disabled, id, label, onChange, value, ...props }) => {
    // If no value is provided, default to browser's default values: 'on' & 'off'
    const checkboxValue = value ? { value } : {};
    return (react_1.default.createElement(Box_1.Box, Object.assign({}, props),
        react_1.default.createElement(StyledCheckbox, Object.assign({ checked: checked, disabled: disabled, id: id }, checkboxValue, { onChange: onChange })),
        react_1.default.createElement(Styles_1.Label, { htmlFor: id }, label)));
};
const StyledCheckbox = styled_1.default.input.attrs({ type: 'checkbox' }) `
  position: absolute;
  opacity: 0;

  ${(p) => !p.disabled &&
    `
      &:hover + label:before {
      background: ${p.theme.n6};
    }

    &:focus + label:before {
      box-shadow: 0 0 0 3px rgba(0, 0, 0, 0.12);
    }
  `}

  & + label {
    position: relative;
    cursor: ${(p) => (p.disabled ? 'auto' : 'pointer')};
    padding: 0;
  }

  & + label:before {
    content: '';
    margin-right: 6px;
    margin-top: 2px;
    display: inline-block;
    vertical-align: text-top;
    width: 12px;
    height: 12px;
    background: white;
    border: 1px solid ${(p) => p.theme.n6};
  }

  &:checked + label:before {
    background: ${(p) => p.theme.n6};
  }

  &:checked + label:after {
    content: '';
    position: absolute;
    left: 2px;
    top: 8px;
    background: white;
    width: 2px;
    height: 2px;
    box-shadow: 2px 0 0 white, 4px 0 0 white, 4px -2px 0 white, 4px -4px 0 white, 4px -6px 0 white, 4px -8px 0 white;
    transform: rotate(45deg);
  }
`;
//# sourceMappingURL=Checkbox.js.map