import { FieldArrayRenderProps, FieldProps } from 'formik';
import { FC, ReactNode } from 'react';
import { BoxProps } from '../Box';
export declare type FormFieldProps = {
    name: string;
    label?: ReactNode;
    description?: ReactNode;
    noError?: boolean;
} & BoxProps;
declare type FormErrorMessageProps = {
    name: string;
} & BoxProps;
export declare const FormErrorMessage: FC<FormErrorMessageProps>;
declare type FormFieldRenderProps = FormFieldProps & {
    render: (fieldProps: FieldProps) => ReactNode;
};
/**
 * The base component for any Formik field.
 *
 * Usage:
 *
 *     <FormField
 *       name="name"
 *       label="Table Name"
 *       render={({ field, form }) => { ... }}
 *     />
 */
declare const FormField: FC<FormFieldRenderProps>;
export default FormField;
declare type FormFieldRenderArrayProps = FormFieldProps & {
    render: (fieldProps: FieldArrayRenderProps) => ReactNode;
};
/**
 * The base component for an array of Formik fields.
 *
 * Usage:
 *
 *     <FormFieldArray
 *       name="name"
 *       label="Table Name"
 *       render={({ push, remove }) => { ... }}
 *     />
 */
export declare const FormFieldArray: FC<FormFieldRenderArrayProps>;
//# sourceMappingURL=FormField.d.ts.map