"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const FormField_1 = __importDefault(require("./FormField"));
const Input_1 = __importDefault(require("./Input"));
const FormInput = ({ name, placeholder, type = 'text', 'data-testid': dataTestId, ...passThroughProps }) => (react_1.default.createElement(FormField_1.default, Object.assign({ name: name }, passThroughProps, { render: ({ field, form }) => {
        const { errors, touched } = form;
        const markError = errors[field.name] && touched[field.name];
        // TO DO: Errors don't get passed properly to Input fields when in FieldArray
        return (react_1.default.createElement(Input_1.default, Object.assign({}, field, { error: markError, id: name, type: type, placeholder: placeholder, "data-testid": dataTestId || name })));
    } })));
exports.default = FormInput;
//# sourceMappingURL=FormInput.js.map