"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styled_1 = __importDefault(require("../../styled"));
const FormField_1 = __importDefault(require("./FormField"));
const Textarea_1 = __importDefault(require("./Textarea"));
const FormTextarea = ({ name, placeholder, 'data-testid': dataTestId, ...passThroughProps }) => (react_1.default.createElement(FormField_1.default, Object.assign({ name: name }, passThroughProps, { render: ({ field, form }) => {
        const { errors, touched } = form;
        const markError = errors[field.name] && touched[field.name];
        return (react_1.default.createElement(StyledTextarea, Object.assign({}, field, { error: markError, id: name, placeholder: placeholder, "data-testid": dataTestId || name })));
    } })));
exports.default = FormTextarea;
const StyledTextarea = styled_1.default(Textarea_1.default) `
  border: 1px solid ${(p) => p.theme.border};
`;
//# sourceMappingURL=FormTextarea.js.map