"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styled_1 = __importDefault(require("../../styled"));
const Input = ({ className, type = 'text', placeholder, error, onChange, onBlur, onFocus, value, width = '100%', ...passThroughProps }) => {
    return (react_1.default.createElement(StyledInput, Object.assign({ className: className, type: type, placeholder: placeholder, error: error, onChange: onChange, onFocus: onFocus, onBlur: onBlur, value: value, width: width }, passThroughProps)));
};
exports.default = Input;
// Styles
const StyledInput = styled_1.default('input') `
  border: 1px solid ${(p) => p.theme.border};
  border-radius: 5px;
  box-sizing: border-box;
  color: ${(p) => p.theme.text};
  display: block;
  padding: 0.5rem;
  position: relative;
  width: ${(p) => (p.width ? p.width : '100%')};
  font-size: ${(p) => p.theme.fs400};
  height: 32px;
  ${(p) => p.error
    ? `border: 2px solid ${p.theme.error};
      :focus {
        border: 2px solid ${p.theme.error};
        outline: none;
    	}`
    : `:focus {
    border: 2px solid ${p.theme.n4};
    outline: none;
    }`};

  ::placeholder {
    font-size: ${(p) => p.theme.fs400};
    color: ${(p) => p.theme.n4};
  }

  ${(p) => p.type === 'number' &&
    `
    -moz-appearance: textfield;

    ::-webkit-inner-spin-button,
    ::-webkit-outer-spin-button {
      -webkit-appearance: none;
      margin: 0;
    };

    :hover,
    :focus {
      -moz-appearance: number-input;
    };

    html:not([dir="rtl"]) input {
      text-align: left;
    }
  `}
`;
//# sourceMappingURL=Input.js.map