"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styled_1 = __importDefault(require("../../styled"));
const Box_1 = require("../Box");
const RadioLabel = styled_1.default.label `
  display: flex;
  align-items: center;
  font-size: ${(props) => props.theme.fs400};
  input {
    margin-right: 1rem;
  }
`;
const Radio = ({ className, label, value, handleChange, checked, ...passThroughProps }) => (react_1.default.createElement(Box_1.Box, Object.assign({}, passThroughProps),
    react_1.default.createElement(RadioLabel, { className: className },
        react_1.default.createElement("input", { type: "radio", value: value, onChange: handleChange, checked: checked }),
        label)));
exports.default = Radio;
//# sourceMappingURL=Radio.js.map