"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styled_1 = __importDefault(require("../../styled"));
const Box_1 = require("../Box");
const Icon_1 = require("../Icon");
const Input_1 = __importDefault(require("./Input"));
// Search Input
const SearchInput = (props) => {
    const { placeholder, width, onChange, onBlur, ...boxProps } = props;
    return (react_1.default.createElement(Box_1.Box, Object.assign({ className: "search-input", position: "relative", width: width ? width : '100%' }, boxProps),
        react_1.default.createElement(Icon_1.Icon, { name: "search", position: "absolute", zIndex: "2", top: "6px", left: "-2px", marginLeft: "4px", height: "20px", width: "20px", color: "n5" }),
        react_1.default.createElement(StyledInput, { placeholder: placeholder, "data-testid": "search-input", onChange: onChange, onBlur: onBlur })));
};
exports.default = SearchInput;
// Styles
const StyledInput = styled_1.default(Input_1.default) `
  padding-left: 22px;
`;
//# sourceMappingURL=SearchInput.js.map