import { CSSProperties } from 'react';
import { Theme } from 'react-select/lib/types';
export declare const Label: import("styled-components").StyledComponent<"label", import("../../themes/ThemeInterface").default, {}, never>;
declare type optionProps = {
    isDisabled: boolean;
    isFocused: boolean;
    isSelected: boolean;
};
declare type StyleFunctions = {
    control: (base: CSSProperties) => CSSProperties;
    dropdownIndicator: (base: CSSProperties) => CSSProperties;
    clearIndicator: (base: CSSProperties) => CSSProperties;
    input: (base: CSSProperties) => CSSProperties;
    placeholder: (base: CSSProperties) => CSSProperties;
    menuList: (base: CSSProperties) => CSSProperties;
    option: (base: CSSProperties, optionProps: optionProps) => CSSProperties;
    singleValue: (base: CSSProperties) => CSSProperties;
    multiValueLabel: (base: CSSProperties) => CSSProperties;
    multiValueRemove: (base: CSSProperties) => CSSProperties;
};
export declare const SelectStyles: StyleFunctions;
export declare const SelectTheme: (defaultTheme: Theme) => {
    borderRadius: number;
    colors: {
        primary: string;
        primary25: string;
        primary50: string;
        neutral5: string;
        neutral10: string;
        neutral20: string;
        neutral30: string;
        neutral50: string;
        neutral60: string;
    };
    spacing: import("react-select/lib/types").ThemeSpacing;
};
export {};
//# sourceMappingURL=Styles.d.ts.map