"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const styled_1 = __importDefault(require("../../styled"));
const themes_1 = require("../../themes");
exports.Label = styled_1.default('label') `
  font-size: ${(p) => p.theme.fs400};
  font-weight: ${(p) => p.theme.fwNormal};
  color: ${(p) => p.theme.n8};
  position: relative;
  top: -2px;
`;
// Styles for react-select
exports.SelectStyles = {
    control: (base) => ({ ...base, minHeight: '32px', padding: 0, margin: 0 }),
    dropdownIndicator: (base) => ({ ...base, padding: 4 }),
    clearIndicator: (base) => ({
        ...base,
        padding: 4
    }),
    input: (base) => ({
        ...base,
        margin: 0,
        padding: 0
    }),
    placeholder: (base) => ({
        ...base,
        color: themes_1.theme.n4,
        fontSize: themes_1.theme.fs400
    }),
    menuList: (base) => ({
        ...base,
        fontSize: themes_1.theme.fs400
    }),
    option: (base, { isDisabled, isFocused, isSelected }) => ({
        ...base,
        backgroundColor: isDisabled ? null : isSelected ? themes_1.theme.n2 : isFocused ? themes_1.theme.n1 : null,
        color: themes_1.theme.text,
        padding: 6
    }),
    singleValue: (base) => ({
        ...base,
        color: themes_1.theme.text,
        fontSize: themes_1.theme.fs400
    }),
    multiValueLabel: (base) => ({
        ...base,
        color: themes_1.theme.text,
        padding: 0,
        margin: 0
    }),
    multiValueRemove: (base) => ({
        ...base,
        ':hover': {
            cursor: 'pointer'
        }
    })
};
exports.SelectTheme = (defaultTheme) => ({
    ...defaultTheme,
    borderRadius: 5,
    colors: {
        ...defaultTheme.colors,
        primary: themes_1.theme.n4,
        primary25: themes_1.theme.n1,
        primary50: themes_1.theme.n1,
        neutral5: themes_1.theme.border,
        neutral10: themes_1.theme.n2,
        neutral20: themes_1.theme.border,
        neutral30: themes_1.theme.n2,
        neutral50: themes_1.theme.n4,
        neutral60: themes_1.theme.n4
    }
});
//# sourceMappingURL=Styles.js.map