"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const styled_1 = __importDefault(require("../../styled"));
const Textarea = styled_1.default('textarea') `
  border: 1px solid ${(props) => props.theme.n5};
  border-radius: 5px;
  box-shadow: inset 0px 1px 2px ${(p) => p.theme.background};
  box-sizing: border-box;
  color: ${(props) => props.theme.text};
  ${(p) => p.disabled &&
    `
    background: ${p.theme.n1};
  `}
  display: block;
  padding: 0.5rem;
  font-size: ${(props) => props.theme.fs400};
  width: 100%;
  min-height: 60px;
  resize: vertical;
  transition: all 0.15s ease;
  ${(p) => p.error &&
    `
      border: 2px solid ${p.theme.error};
    	&:focus {
        border: 2px solid ${p.theme.error};
        outline: none;
    	}
  `};

  :focus {
    border: 2px solid ${(p) => p.theme.n5};
    outline: none;
  }

  ::placeholder {
    font-size: ${(p) => p.theme.fs400};
    color: ${(p) => p.theme.n5};
  }
`;
exports.default = Textarea;
//# sourceMappingURL=Textarea.js.map