"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styled_1 = __importDefault(require("../../styled"));
const Box_1 = require("../Box");
const iconMap_1 = __importDefault(require("./iconMap"));
exports.Icon = (props) => {
    const { name, height = '1rem', width = '1rem', onClick, ...passThroughProps } = props;
    const SVG = iconMap_1.default[name];
    return (react_1.default.createElement(StyledBox, Object.assign({ is: "span", height: height, width: width }, passThroughProps, { onClick: onClick }), SVG ? (react_1.default.createElement(SVG, { style: {
            height: 'inherit',
            width: 'inherit',
            fill: 'currentColor',
            color: 'inherit',
            position: 'relative'
        } })) : ('missing icon')));
};
const StyledBox = styled_1.default(Box_1.Box) `
  transition: opacity 0.2s ease;
  ${(p) => p.hoverable &&
    `  &:hover {
    opacity: 0.7;
    cursor: pointer;
  }
`}
`;
//# sourceMappingURL=index.js.map