"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const Icon_1 = require("./Icon");
const Panel_1 = __importDefault(require("./Panel"));
const Typography_1 = require("./Typography");
exports.InfoBox = ({ children, type, ...passthroughProps }) => {
    let background = '';
    let color = '';
    let borderColor = '';
    if (type === 'primary') {
        background = 'n1';
        color = 'b10';
        borderColor = 'n3';
    }
    else if (type === 'warning') {
        background = 'y3';
        color = 'y8';
        borderColor = 'y4';
    }
    else if (type === 'danger') {
        background = 'r3';
        color = 'r7';
        borderColor = 'r4';
    }
    else if (type === 'success') {
        background = 'g3';
        color = 'g7';
        borderColor = 'g4';
    }
    else {
        background = null;
    }
    const renderIcon = () => {
        const styleProps = {
            position: 'relative',
            top: '4px',
        };
        if (type === 'warning') {
            return react_1.default.createElement(Icon_1.Icon, Object.assign({ name: "warning", color: "y7" }, styleProps));
        }
        else if (type === 'danger') {
            return react_1.default.createElement(Icon_1.Icon, Object.assign({ name: "error", color: "r6" }, styleProps));
        }
        else if (type === 'success') {
            return react_1.default.createElement(Icon_1.Icon, Object.assign({ name: "success", color: "g6" }, styleProps));
        }
        else {
            return react_1.default.createElement(Icon_1.Icon, Object.assign({ name: "info", color: "b8" }, styleProps));
        }
    };
    return (react_1.default.createElement(Panel_1.default, Object.assign({ background: background, display: "grid", gridTemplateColumns: "auto 1fr", gridColumnGap: "0.5rem", alignItems: "start", padding: "thick", border: "1px solid", borderColor: borderColor }, passthroughProps),
        renderIcon(),
        react_1.default.createElement(Typography_1.Text, { color: color, size: "fs400" }, children)));
};
//# sourceMappingURL=InfoBox.js.map