"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const styled_1 = __importDefault(require("../styled"));
const NavBarContext = react_1.createContext(null);
const NavBarElement = ({ value, onClick, children }) => (react_1.default.createElement(NavBarContext.Consumer, null, (context) => {
    return (react_1.default.createElement(NavBarElementStyle, { key: value, "data-testid": value, onClick: () => onClick(value), isSelected: context.value === value }, children));
}));
class NavBar extends react_1.Component {
    render() {
        const { value, children } = this.props;
        const context = { value };
        return (react_1.default.createElement(NavBarContext.Provider, { value: context },
            react_1.default.createElement(NavBarContainer, null, children)));
    }
}
NavBar.NavBarElement = NavBarElement;
exports.NavBar = NavBar;
// Styles
// Put your styled components down here
const NavBarContainer = styled_1.default.div `
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  width: 100%;
  border-bottom: 1px solid ${(props) => props.theme.n5};
`;
const NavBarElementStyle = styled_1.default.span `
  ${(props) => props.theme.addHover()};
  ${(props) => {
    if (props.isSelected)
        return `
        color: ${props.theme.primary};
        padding-bottom: 0.333rem;
        border-bottom: 2px solid ${props.theme.primary};`;
}};
  flex: 0 1 0;
`;
//# sourceMappingURL=NavBar.js.map