"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const styled_1 = __importDefault(require("../styled"));
const Box_1 = require("./Box");
exports.Panel = styled_1.default(Box_1.Box) `
  background: ${(props) => (props.background ? props.background : 'white')};
  border: 1px solid ${(props) => (props.background ? props.background : props.theme.n2)};
  border-radius: 5px;
  padding: ${(props) => {
    switch (props.padding) {
        case 'none':
            return '0';
        case 'thin':
            return '3px 3px 3px 3px';
        case 'medium':
            return '8px 12px 8px 12px';
        case 'thick':
            return '12px 16px 12px 16px';
        default:
            return '8px 12px 8px 12px';
    }
}};
`;
exports.default = exports.Panel;
//# sourceMappingURL=Panel.js.map