"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styled_1 = __importDefault(require("../styled"));
const Box_1 = require("./Box");
const Typography_1 = require("./Typography");
// TODO: Add Story/Tests
exports.SegmentedControl = ({ options, onSelect, width = '300px', selected, ...props }) => {
    return (react_1.default.createElement(Container, Object.assign({ display: "grid", gridAutoColumns: "1fr", gridAutoFlow: "column", width: width, border: "1px solid", borderRadius: "3px", "data-testid": "segmented-control" }, props), options.map((option) => (react_1.default.createElement(Segment, { key: option.label, onClick: () => onSelect(option.value), isSelected: option.value === selected, "data-testid": `option-${option.label}` },
        react_1.default.createElement(Typography_1.Text, { color: "n7", textTransform: "capitalize" }, option.label))))));
};
// Styles
const Container = styled_1.default(Box_1.Box) `
  border-color: #d9e2ec;
  background: #f0f4f8;
`;
const Segment = styled_1.default('div') `
  text-align: center;
  padding: 0.25rem 0;
  border-right: 1px solid #d9e2ec;
  transition: opacity 0.15s ease-out;
  font-size: ${(p) => p.theme.fs400};
  :last-child {
    border-right: none;
  }
  :hover {
    cursor: pointer;
    opacity: 0.8;
    background: #bcccdc;
  }
  ${(p) => p.isSelected &&
    `
    background: #bcccdc;
  `}
`;
//# sourceMappingURL=SegmentedControl.js.map