"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_dom_1 = require("react-dom");
const react_spring_1 = require("react-spring");
const styled_1 = __importDefault(require("../styled"));
const Icon_1 = require("./Icon");
const Overlay_1 = __importDefault(require("./Overlay"));
const Typography_1 = require("./Typography");
class SideSheet extends react_1.Component {
    constructor() {
        super(...arguments);
        this.contentRef = react_1.createRef();
        // There's a bug(?) where the scrollable area is cut-off because it registers as 300px translated right
        this.fixScroll = () => {
            if (this.contentRef.current) {
                this.contentRef.current.style.overflowY = 'hidden';
                setTimeout(() => {
                    this.contentRef.current.style.overflowY = 'scroll';
                }, 500);
            }
        };
        this.handleOverlayClick = (evt) => {
            if (this.props.shouldCloseOnClickOverlay && evt.target === evt.currentTarget) {
                this.props.onClose();
            }
        };
    }
    componentDidMount() {
        this.fixScroll();
    }
    render() {
        const { width, isOpen, children, title, onClose } = this.props;
        return (isOpen &&
            react_dom_1.createPortal(react_1.default.createElement(Overlay_1.default, { onClick: this.handleOverlayClick, "data-testid": "overlay" },
                react_1.default.createElement(react_spring_1.Spring, { from: { transform: 'translate3d(300px, 0px, 0px)', opacity: 0.7 }, to: { transform: 'translate3d(0px, 0px, 0px)', opacity: 1 } }, (styles) => (react_1.default.createElement(SideSheetContainer, { style: styles, width: width, "data-testid": "sidesheet" },
                    title && (react_1.default.createElement(SideSheetTitle, null,
                        react_1.default.createElement(CloseSlideSheet, { onClick: onClose, "data-testid": "close-sidesheet" },
                            react_1.default.createElement(Icon_1.Icon, { position: "relative", top: "5px", name: "cancel" })),
                        react_1.default.createElement(Typography_1.Heading, { color: "n7", maxWidth: "75%", truncate: true, "data-testid": "sidesheet-title" }, title))),
                    react_1.default.createElement(SideSheetContent, { ref: this.contentRef }, children))))), document.getElementById('dialog-root')));
    }
}
SideSheet.defaultProps = {
    shouldCloseOnClickOverlay: true,
    width: '500px',
};
exports.SideSheet = SideSheet;
// Styles
const SideSheetContainer = styled_1.default('div') `
  position: absolute;
  right: 0;
  background: white;
  width: ${(p) => p.width};
  z-index: 10000;
  transform: translate3d(0px, 0px, 0px);
`;
const SideSheetTitle = styled_1.default('div') `
  padding: 1rem;
  border-bottom: 1px solid ${(p) => p.theme.n2};
  background: ${(p) => p.theme.n1};
  height: 60px;
`;
const SideSheetContent = styled_1.default('div') `
  padding: 1rem;
  height: calc(100vh - 60px);
`;
const CloseSlideSheet = styled_1.default('div') `
  position: absolute;
  top: 16px;
  right: 16px;
  height: 20px;
  width: 20px;
  color: ${(p) => p.theme.n5};
  text-align: center;
  ${(p) => p.theme.addHover()};
`;
//# sourceMappingURL=SideSheet.js.map