"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const styled_components_1 = require("styled-components");
const styled_1 = __importDefault(require("../styled"));
const loading = styled_components_1.keyframes `
  0% {
    transform: translateX(-100%);
  }
  100% {
    transform: translateX(100%);
  }
`;
function getModifier(str) {
    return str.toString().replace(/\d+/g, '');
}
function addNoise(widthNoise = 0) {
    return `${(Math.random() * 100 * widthNoise).toString()}px`;
}
exports.Skeleton = styled_1.default('span') `
  line-height: 1;
  display: inline-block;
  overflow: hidden;
  position: relative;
  width: ${(props) => {
    return props.width
        ? `calc(${parseFloat(props.width)}${getModifier(props.width)} - ${addNoise(props.widthNoise)})`
        : '100%';
}};
  height: ${(props) => {
    return props.height ? `${parseFloat(props.height)}${getModifier(props.height)}` : '100%';
}};
  border-radius: 8px;
  background-color: ${(props) => props.theme.n1};
  border-radius: 8px;
  &::before {
    content: '';
    position: absolute;
    height: 100%;
    width: 500px;
    top: 0;
    transform: translateX(-100%);
    background-image: linear-gradient(90deg, rgba(255, 255, 255, 0), rgba(255, 255, 255, 0.45), rgba(255, 255, 255, 0));
    animation: ${loading} 1.2s ease-in-out infinite;
  }
`;
//# sourceMappingURL=Skeleton.js.map