"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const styled_1 = __importDefault(require("../styled"));
const themes_1 = require("../themes");
const Box_1 = require("./Box");
const TabLabel = styled_1.default.button `
  background: transparent;
  border: none;
  margin: 10px;

  :hover {
    color: ${themes_1.theme.primary};
    cursor: pointer;
  }

  :focus {
    outline: none;
  }
`;
const TabLabelSelected = styled_1.default(TabLabel) `
  color: ${themes_1.theme.primary};
  border-bottom: 2px solid ${themes_1.theme.primary};
`;
class Tabs extends react_1.Component {
    constructor() {
        super(...arguments);
        this.state = { selected: this.props.selected ? this.props.selected : 0 };
        this.handleClick = (event) => {
            this.setState({ selected: parseInt(event.currentTarget.id, 10) });
        };
    }
    render() {
        const { selected } = this.state;
        const { tabs, ...otherProps } = this.props;
        return (react_1.default.createElement(Box_1.Box, Object.assign({}, otherProps),
            tabs.map(({ label }, index) => {
                return this.state.selected === index ? (react_1.default.createElement(TabLabelSelected, { key: index, id: `${index}`, onClick: this.handleClick }, label)) : (react_1.default.createElement(TabLabel, { key: index, id: `${index}`, onClick: this.handleClick }, label));
            }),
            tabs[selected].content));
    }
}
exports.Tabs = Tabs;
//# sourceMappingURL=Tabs.js.map