"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_dom_1 = __importDefault(require("react-dom"));
const ToasterRoot_1 = __importDefault(require("./ToasterRoot"));
const defaultSettings = {
    duration: 3000
};
class Toaster {
    constructor() {
        this.notify = (content, settings) => {
            this.notifyHandler(content, { ...defaultSettings, ...settings });
        };
        this.success = (content, settings) => {
            this.notifyHandler(content, {
                type: 'success',
                ...defaultSettings,
                ...settings
            });
        };
        this.warning = (content, settings) => {
            this.notifyHandler(content, {
                type: 'warning',
                ...defaultSettings,
                ...settings
            });
        };
        this.error = (content, settings) => {
            this.notifyHandler(content, {
                type: 'error',
                ...defaultSettings,
                ...settings
            });
        };
        this.notifyHandler = () => { };
        this.bindNotifyToToaster = (handler) => {
            this.notifyHandler = handler;
        };
        if (!document.getElementById('toaster-root')) {
            const container = document.createElement('div');
            container.setAttribute('id', 'toaster-root');
            document.body.appendChild(container);
        }
        // When the class is initialized, we add <Toaster /> to the document
        react_dom_1.default.render(react_1.default.createElement(ToasterRoot_1.default, { bindNotify: this.bindNotifyToToaster }), document.getElementById('toaster-root'));
    }
}
exports.default = Toaster;
//# sourceMappingURL=Toaster.js.map