"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_spring_1 = require("react-spring");
const styled_1 = __importDefault(require("../../styled"));
const Toast_1 = __importDefault(require("./Toast"));
const initialState = {
    toasts: []
};
class ToasterRoot extends react_1.Component {
    constructor(props) {
        super(props);
        this.state = initialState;
        this.id = 0;
        this.createToast = (content, settings = { duration: 5000 }) => {
            this.id++;
            const toast = {
                content,
                id: this.id,
                ...settings
            };
            this.setState((prevState) => ({
                toasts: [toast, ...prevState.toasts]
            }));
        };
        this.handleClose = (id) => {
            this.setState((prev) => ({
                toasts: prev.toasts.map((toast) => {
                    if (toast.id === id) {
                        return {
                            ...toast,
                            isVisible: false
                        };
                    }
                    return toast;
                })
            }));
        };
        this.handleRemove = (id) => {
            this.setState((prev) => ({
                toasts: prev.toasts.filter((toast) => toast.id !== id)
            }));
        };
        this.props.bindNotify(this.createToast);
    }
    render() {
        return (react_1.default.createElement(ToasterRootContainer, null,
            react_1.default.createElement(react_spring_1.Transition, { items: this.state.toasts, keys: (item) => item.id, config: {
                    ...react_spring_1.config.gentle,
                    precision: 0.1
                }, from: { opacity: 0, transform: 'translate3d(0, -20px, 0)' }, enter: { opacity: 1, transform: 'translate3d(0, 0, 0)' }, leave: { opacity: 0, transform: 'translate3d(0, 0, 0)' } }, ({ id, content, ...passThroughProps }) => (styles) => (react_1.default.createElement(Toast_1.default, Object.assign({ key: id, id: id, style: styles }, passThroughProps, { onClose: this.handleClose, onRemove: this.handleRemove }), content)))));
    }
}
exports.default = ToasterRoot;
// Styles
const ToasterRootContainer = styled_1.default('span') `
  position: fixed;
  top: 6px;
  right: 0;
  left: 0;
  pointer-events: none;
  margin: 0 auto;
  max-width: 500px;
`;
//# sourceMappingURL=ToasterRoot.js.map