"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styled_1 = __importDefault(require("../styled"));
const themes_1 = require("../themes");
const Box_1 = require("./Box");
exports.Toggle = ({ disabled, value, onClick, ...passThroughProps }) => (react_1.default.createElement(ToggleContainer, Object.assign({ disabled: disabled, onClick: () => (onClick ? onClick() : null) }, passThroughProps),
    react_1.default.createElement(StyledToggle, { disabled: disabled, value: value })));
// Styles
const ToggleContainer = styled_1.default(Box_1.Box) `
  position: relative;
  display: flex;
  align-items: center;
  width: 60px;
  height: 20px;
  border-radius: 50px;
  background: ${(p) => (p.disabled ? `${themes_1.theme.n1}` : `${themes_1.theme.n2}`)};
  border: 1px solid ${themes_1.theme.n2};
  ${(p) => (p.disabled ? `opacity: 0.6;` : '')};
  :hover {
    cursor: pointer;
  }
`;
const StyledToggle = styled_1.default('div') `
  border-radius: 50%;
  height: 14px;
  width: 14px;
  transition: transform 0.35s ease-in-out;
  ${(p) => {
    if (p.disabled) {
        return `background: ${themes_1.theme.n2}; transform: translateX(4px);`;
    }
    else {
        return p.value
            ? `background: ${themes_1.theme.g5}; transform: translateX(40px);`
            : `background: ${themes_1.theme.n3}; transform: translateX(4px);`;
    }
}}
`;
//# sourceMappingURL=Toggle.js.map