"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const recompose_1 = require("recompose");
const Icon_1 = require("../components/Icon");
const styled_1 = __importDefault(require("../styled"));
const LoadingWrapper = styled_1.default.div `
  display: flex;
  align-items: center;
  flex-direction: column;
  color: ${(props) => props.theme.primary};
  font-weight: thin;
  font-size: ${(props) => props.theme.fs600};
`;
const Loading = ({ children }) => (react_1.default.createElement(LoadingWrapper, null,
    react_1.default.createElement(Icon_1.Icon, { name: 'loading' }),
    children));
function withLoading(message = 'Fetching data') {
    return recompose_1.branch(({ loading }) => loading, recompose_1.renderComponent(() => react_1.default.createElement(Loading, null, message)));
}
exports.default = withLoading;
//# sourceMappingURL=withLoading.js.map