interface ThemeColors {
    white: string;
    n10: string;
    n9: string;
    n8: string;
    n7: string;
    n6: string;
    n5: string;
    n4: string;
    n3: string;
    n2: string;
    n1: string;
    b10: string;
    b9: string;
    b8: string;
    b7: string;
    b6: string;
    b5: string;
    b4: string;
    b3: string;
    b2: string;
    b1: string;
    c10: string;
    c9: string;
    c8: string;
    c7: string;
    c6: string;
    c5: string;
    c4: string;
    c3: string;
    c2: string;
    c1: string;
    p10: string;
    p9: string;
    p8: string;
    p7: string;
    p6: string;
    p5: string;
    p4: string;
    p3: string;
    p2: string;
    p1: string;
    r10: string;
    r9: string;
    r8: string;
    r7: string;
    r6: string;
    r5: string;
    r4: string;
    r3: string;
    r2: string;
    r1: string;
    y10: string;
    y9: string;
    y8: string;
    y7: string;
    y6: string;
    y5: string;
    y4: string;
    y3: string;
    y2: string;
    y1: string;
    g10: string;
    g9: string;
    g8: string;
    g7: string;
    g6: string;
    g5: string;
    g4: string;
    g3: string;
    g2: string;
    g1: string;
}
export declare type ColorOptions = keyof ThemeColors;
interface ThemeHeadings {
    hd1: string;
    hd2: string;
    hd3: string;
    hd4: string;
    hd5: string;
    hd6: string;
}
export declare type HeadingOptions = keyof ThemeHeadings;
interface ThemeFontSizes {
    fs200: string;
    fs300: string;
    fs400: string;
    fs500: string;
    fs600: string;
    fs700: string;
}
export declare type FontSizeOptions = keyof ThemeFontSizes;
interface ThemeFontWeight {
    fwLight: number;
    fwNormal: number;
    fwBold: number;
}
export declare type FontWeightOptions = keyof ThemeFontWeight;
export default interface ThemeInterface extends ThemeColors, ThemeHeadings, ThemeFontSizes, ThemeFontWeight {
    primary: string;
    border: string;
    success: string;
    error: string;
    warning: string;
    text: string;
    background: string;
    navigationHeight: string;
    addBorders: () => string;
    addBordersWithColor: (borderColor: string, shadowColor: string) => string;
    truncate: () => string;
    toRGB: (hex: string, opacity: string) => string;
    addHover: () => string;
    addBoxShadow: () => string;
}
export {};
//# sourceMappingURL=ThemeInterface.d.ts.map