"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const initialState = {
    isVisible: false,
};
class Hideable extends react_1.Component {
    constructor() {
        super(...arguments);
        this.state = initialState;
        this.ref = react_1.createRef();
        this.handleOutsideClick = (e) => {
            const { isVisible } = this.state;
            if (!this.ref.current.contains(e.target) && isVisible) {
                this.handleHide();
            }
        };
        this.handleOpen = () => {
            document.addEventListener('click', this.handleOutsideClick, false);
            this.setState(() => ({
                isVisible: true,
            }));
        };
        this.handleHide = () => {
            document.removeEventListener('click', this.handleOutsideClick, false);
            this.setState(() => ({
                isVisible: false,
            }));
        };
    }
    render() {
        const payload = {
            isVisible: this.state.isVisible,
            handleOpen: this.handleOpen,
            handleHide: this.handleHide,
            createNode: this.ref,
        };
        return react_1.default.createElement(react_1.Fragment, null, this.props.children(payload));
    }
}
exports.default = Hideable;
//# sourceMappingURL=Hideable.js.map