import React, { Component, FunctionComponent, ReactNode } from 'react';
import { BoxProps } from '../components/Box';
declare type Props<T> = {
    data: T[];
    pageSize: number;
    children: (payload: RenderPayload<T>) => ReactNode;
};
declare type RenderPayload<T> = {
    pageData: T[];
    PageTracker: FunctionComponent<BoxProps>;
};
declare const initialState: {
    currentPage: number;
    lastPage: number;
};
declare type State = Readonly<typeof initialState>;
export declare class Pagination<T> extends Component<Props<T>, State> {
    static defaultProps: {
        pageSize: number;
    };
    state: {
        currentPage: number;
        lastPage: number;
    };
    componentDidMount(): void;
    componentDidUpdate(prevProps: Props<T>): void;
    handlePageChange: (newPage: number) => void;
    calculateLastPage: (totalPages: number, pageSize: number) => number;
    PageTracker: FunctionComponent<BoxProps>;
    paginateData: (currentPage: number) => T[];
    render(): React.ReactNode;
}
export {};
//# sourceMappingURL=Pagination.d.ts.map