"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const Box_1 = require("../components/Box");
const Icon_1 = require("../components/Icon");
const Typography_1 = require("../components/Typography");
const styled_1 = __importDefault(require("../styled"));
const initialState = {
    currentPage: 1,
    lastPage: 0,
};
class Pagination extends react_1.Component {
    constructor() {
        super(...arguments);
        this.state = initialState;
        this.handlePageChange = (newPage) => {
            this.setState({
                currentPage: newPage,
            });
        };
        this.calculateLastPage = (totalPages, pageSize) => Math.ceil(totalPages / pageSize);
        this.PageTracker = (props) => {
            const { currentPage, lastPage } = this.state;
            if (lastPage <= 1) {
                return null;
            }
            else {
                return (react_1.default.createElement(Box_1.Box, Object.assign({ display: "flex", justifyContent: "center", alignItems: "center" }, props),
                    react_1.default.createElement(Caret, { name: "caretLeft", "data-testid": "previous-page", onClick: () => this.handlePageChange(currentPage === 1 ? currentPage : currentPage - 1) }),
                    currentPage !== 1 && (react_1.default.createElement(Typography_1.Text, { onClick: () => this.handlePageChange(1), paddingX: "10px", hoverable: true }, "1")),
                    lastPage > 5 && (currentPage > 4 || (currentPage === 4 && lastPage - currentPage <= 2)) ? (react_1.default.createElement(Typography_1.Text, { paddingRight: "10px", paddingLeft: "10px" }, "\u22EF")) : null,
                    currentPage === lastPage && lastPage > 4 ? (react_1.default.createElement(Typography_1.Text, { onClick: () => this.handlePageChange(lastPage - 3), paddingX: "10px", hoverable: true }, lastPage - 3)) : null,
                    lastPage - currentPage === 3 || lastPage - currentPage === 2 || currentPage - 2 <= 1 ? null : (react_1.default.createElement(Typography_1.Text, { onClick: () => this.handlePageChange(currentPage - 2), paddingX: "10px", hoverable: true }, currentPage - 2)),
                    (lastPage - currentPage === 3 && currentPage !== 3) || currentPage - 1 <= 1 ? null : (react_1.default.createElement(Typography_1.Text, { onClick: () => this.handlePageChange(currentPage - 1), paddingX: "10px", hoverable: true }, currentPage - 1)),
                    react_1.default.createElement(Typography_1.Text, { onClick: () => this.handlePageChange(currentPage), background: "n2", paddingX: "10px", hoverable: true }, currentPage),
                    lastPage <= 2 ||
                        currentPage === 3 ||
                        (currentPage === 4 && lastPage - currentPage > 2) ||
                        currentPage >= lastPage - 1 ? null : (react_1.default.createElement(Typography_1.Text, { onClick: () => this.handlePageChange(currentPage + 1), paddingX: "10px", hoverable: true }, currentPage + 1)),
                    lastPage <= 3 ||
                        currentPage === 2 ||
                        currentPage === 3 ||
                        currentPage === 4 ||
                        currentPage >= lastPage - 2 ? null : (react_1.default.createElement(Typography_1.Text, { onClick: () => this.handlePageChange(currentPage + 2), paddingX: "10px", hoverable: true }, currentPage + 2)),
                    currentPage < 4 && lastPage > 4 ? (react_1.default.createElement(Typography_1.Text, { onClick: () => this.handlePageChange(4), paddingX: "10px", hoverable: true }, "4")) : null,
                    lastPage > 5 && (currentPage + 3 < lastPage || currentPage === 3) ? (react_1.default.createElement(Typography_1.Text, { paddingRight: "10px", paddingLeft: "10px" }, "\u22EF")) : null,
                    currentPage === lastPage ? null : (react_1.default.createElement(Typography_1.Text, { onClick: () => this.handlePageChange(lastPage), paddingX: "10px", hoverable: true }, lastPage)),
                    react_1.default.createElement(Caret, { name: "caretRight", "data-testid": "next-page", onClick: () => this.handlePageChange(currentPage === lastPage ? lastPage : currentPage + 1) })));
            }
        };
        this.paginateData = (currentPage) => {
            const { data, pageSize } = this.props;
            const paginatedData = [];
            if (data.length > 0) {
                for (let i = 0; i < data.length; i += pageSize) {
                    paginatedData.push(data.slice(i, i + pageSize));
                }
                return paginatedData[currentPage - 1];
            }
            else {
                return [];
            }
        };
    }
    componentDidMount() {
        this.setState({ lastPage: this.calculateLastPage(this.props.data.length, this.props.pageSize) });
    }
    componentDidUpdate(prevProps) {
        if (this.props.data.length !== prevProps.data.length) {
            this.setState({ lastPage: this.calculateLastPage(this.props.data.length, this.props.pageSize) });
        }
    }
    render() {
        const payload = {
            pageData: this.paginateData(this.state.currentPage),
            PageTracker: this.PageTracker,
        };
        return this.props.children(payload);
    }
}
Pagination.defaultProps = {
    pageSize: 10,
};
exports.Pagination = Pagination;
const Caret = styled_1.default(Icon_1.Icon) `
  margin: 0 5px;
  ${(p) => p.theme.addHover()};
`;
//# sourceMappingURL=Pagination.js.map