import React, { Component, FunctionComponent, ReactNode } from 'react';
import { BoxProps } from '../components/Box';
declare type Props<T> = {
    data: T[];
    placeholder?: string;
    sortBy?: keyof T | Array<keyof T>;
    children: (payload: RenderPayload<T>) => ReactNode;
};
declare const initialState: {
    sortValue: string;
};
declare type RenderPayload<T> = {
    SearchInput: FunctionComponent<BoxProps>;
    filteredData: T[];
    sortValue: string;
    resetSortValue: () => void;
};
declare type State = Readonly<typeof initialState>;
export declare class Searchable<T> extends Component<Props<T>, State> {
    state: {
        sortValue: string;
    };
    handleChange: (evt: React.FormEvent<HTMLInputElement>) => void;
    SearchInput: FunctionComponent<BoxProps>;
    createSearchBar: () => React.ReactNode;
    filteredData: () => T[];
    resetSortValue: () => void;
    render(): React.ReactNode;
}
export {};
//# sourceMappingURL=Searchable.d.ts.map