"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const react_1 = __importStar(require("react"));
const Form_1 = require("../components/Form");
const initialState = {
    sortValue: '',
};
class Searchable extends react_1.Component {
    constructor() {
        super(...arguments);
        this.state = initialState;
        this.handleChange = (evt) => {
            this.setState({
                sortValue: evt.currentTarget.value,
            });
        };
        this.SearchInput = (props) => (react_1.default.createElement(Form_1.SearchInput, Object.assign({ placeholder: this.props.placeholder, value: this.state.sortValue, onChange: this.handleChange }, props)));
        this.createSearchBar = () => (react_1.default.createElement(Form_1.SearchInput, { placeholder: this.props.placeholder, value: this.state.sortValue, onChange: this.handleChange }));
        this.filteredData = () => {
            const { data, sortBy } = this.props;
            if (!sortBy) {
                return data.filter((d) => lodash_1.includes(lodash_1.toLower(d), lodash_1.toLower(this.state.sortValue)));
            }
            else if (lodash_1.isArray(sortBy)) {
                return lodash_1.filter(data, (item) => {
                    for (const searchValue of sortBy) {
                        // @ts-ignore
                        if (lodash_1.includes(item[searchValue].toLowerCase(), this.state.sortValue.toLowerCase())) {
                            return true;
                        }
                    }
                });
            }
            else {
                // @ts-ignore
                return lodash_1.filter(data, (item) => lodash_1.includes(item[sortBy].toLowerCase(), this.state.sortValue.toLowerCase()));
            }
        };
        this.resetSortValue = () => this.setState({ sortValue: '' });
    }
    render() {
        const payload = {
            SearchInput: this.SearchInput,
            filteredData: this.filteredData(),
            sortValue: this.state.sortValue,
            resetSortValue: this.resetSortValue,
        };
        return this.props.children(payload);
    }
}
exports.Searchable = Searchable;
//# sourceMappingURL=Searchable.js.map