"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const react_1 = __importStar(require("react"));
const initialState = {
    selected: [],
};
class Selectable extends react_1.Component {
    constructor() {
        super(...arguments);
        this.state = initialState;
        this.handleSelect = (name) => {
            const { selected } = this.state;
            if (lodash_1.includes(selected, name)) {
                this.setState(() => ({
                    selected: lodash_1.without(selected, name),
                }));
            }
            else {
                this.setState(() => ({
                    selected: selected.concat(name),
                }));
            }
        };
        this.handleSelectAll = (names) => {
            const { selected } = this.state;
            if (selected.length === names.length) {
                this.setState(() => ({ selected: [] }));
            }
            else {
                this.setState(() => ({ selected: names }));
            }
        };
        this.isSelected = (name) => lodash_1.includes(this.state.selected, name);
    }
    componentDidMount() {
        const { initialValue } = this.props;
        if (initialValue) {
            this.setState(({ selected }) => ({
                selected: selected.concat(initialValue),
            }));
        }
    }
    render() {
        return (react_1.default.createElement(react_1.Fragment, null, this.props.children({
            handleSelect: this.handleSelect,
            isSelected: this.isSelected,
            handleSelectAll: this.handleSelectAll,
            selected: this.state.selected,
        })));
    }
}
exports.default = Selectable;
//# sourceMappingURL=Selectable.js.map